IRPCBackgroundOperationsAdmin.GetAsyncTask

View as Markdown

Administration API / specialized admin session idempotent

Gets one asynchronous task by ID.

ServiceBackground operations MFiles.IRPCBackgroundOperationsAdmin
gRPC method/MFiles.IRPCBackgroundOperationsAdmin/GetAsyncTask
HTTP (mf-http-grpc)POST /grpc/v1/get-async-task
RequestGetAsyncTaskRequest
ResponseGetAsyncTaskResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetAsyncTaskRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
async_taskint64The ID of the task.

Response: GetAsyncTaskResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
async_taskAsyncTaskThe task.
async_task.idint64Task ID.
async_task.typestringTask type name.
async_task.definitionstringThe display string of the task definition.
async_task.is_runningboolTrue if the task is currently running.
async_task.last_run_started_utcgoogle.protobuf.TimestampThe last time the task ran started. Zero to indicate that the task has never run (or is still running for the first time).
async_task.last_run_ended_utcgoogle.protobuf.TimestampThe last time the task ran ended. Zero to indicate that the task has never run (or is still running for the first time).
async_task.last_run_succeededboolTrue if the last run was successful, false otherwise.
async_task.last_run_errorsstringError string from the last run (if any).
async_task.canceledboolTrue if the task is canceled.
async_task.progress_infostringThe progress info string of the task.
async_task.output_infostringThe output info string of the task.